# Makefile.in generated by automake 1.9.5 from Makefile.am.
# test/c++providers/associator/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SOURCES = $(libassociatortest_a_SOURCES)

srcdir = .
top_srcdir = ../../..

pkgdatadir = $(datadir)/openwbem
pkglibdir = $(libdir)/openwbem
pkgincludedir = $(includedir)/openwbem
top_builddir = ../../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c -o pbulk -g users
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = armv6--netbsdelf-eabihf
host_triplet = armv6--netbsdelf-eabihf
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(top_srcdir)/Makefile-shared-lib.inc
subdir = test/c++providers/associator
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
ARFLAGS = cru
libassociatortest_a_AR = $(AR) $(ARFLAGS)
libassociatortest_a_LIBADD =
am_libassociatortest_a_OBJECTS = OW_AssociatorTest.$(OBJEXT)
libassociatortest_a_OBJECTS = $(am_libassociatortest_a_OBJECTS)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
SOURCES = $(libassociatortest_a_SOURCES)
DIST_SOURCES = $(libassociatortest_a_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run aclocal-1.9
AIX = 
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run tar
AR = $(shell pwd)/$(top_srcdir)/ow_ar.sh /usr/bin/ar --
AUTOCONF = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run autoconf
AUTOHEADER = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run autoheader
AUTOMAKE = ${SHELL} /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/missing --run automake-1.9
AWK = /usr/bin/awk
BINLINKAPPENDFLAGS = 
CBINLINKFLAGS =    -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -fPIC -D_REENTRANT -pipe -pthread -D_POSIX_PTHREAD_SEMANTICS -DNDEBUG -O3 -fno-web
CLINK = gcc
CPP = gcc -E
CPPFLAGS = -I/usr/include -I/usr/pkg/include
CURRENT_LINK_MODE_FLAGS = 
CXX = c++
CXXBINLINKFLAGS = -pthread  -Wl,-Bdynamic -Wl,-E -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib  -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
CXXBUNDLELIBLINKFLAGS = 
CXXCPP = c++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -fno-enforce-eh-specs -O2 -D_FORTIFY_SOURCE=2 -I/usr/include -fPIC -D_REENTRANT -pipe -pthread -D_POSIX_PTHREAD_SEMANTICS -DNDEBUG -O3
CXXLINK = c++
CXXSHAREDLIBLINKFLAGS = -pthread -shared -fPIC -Wl,-soname -Wl,$@.$(LIBRARY_BINARY_VERSION) -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DISABLE_ASSOCIATION_TRAVERSAL_FALSE = 
DISABLE_ASSOCIATION_TRAVERSAL_TRUE = #
DISABLE_DIGEST_FALSE = 
DISABLE_DIGEST_TRUE = #
DISABLE_INSTANCE_MANIPULATION_FALSE = 
DISABLE_INSTANCE_MANIPULATION_TRUE = #
DISABLE_NAMESPACE_MANIPULATION_FALSE = 
DISABLE_NAMESPACE_MANIPULATION_TRUE = #
DISABLE_PROPERTY_OPERATIONS_FALSE = 
DISABLE_PROPERTY_OPERATIONS_TRUE = #
DISABLE_QUALIFIER_DECLARATION_FALSE = 
DISABLE_QUALIFIER_DECLARATION_TRUE = #
DISABLE_SCHEMA_MANIPULATION_FALSE = 
DISABLE_SCHEMA_MANIPULATION_TRUE = #
DL_LIB = 
DYNAMIC_EXPORT_FLAG = 
DYNAMIC_LINK_FLAGS = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
ENABLE_CMPI_FALSE = #
ENABLE_CMPI_TRUE = 
ENABLE_DB4_REPOSITORY_FALSE = 
ENABLE_DB4_REPOSITORY_TRUE = #
EXEEXT = 
FALSE_PATHNAME = false
HAVE_FLEX_FALSE = #
HAVE_FLEX_TRUE = 
HAVE_PERL_EMBED_FALSE = 
HAVE_PERL_EMBED_TRUE = #
HAVE_SLP_FALSE = 
HAVE_SLP_TRUE = #
INSTALL_DATA = /usr/bin/install -c -o pbulk -g users -m 644
INSTALL_PROGRAM = /usr/bin/install -c -s -o pbulk -g users -m 755
INSTALL_SCRIPT = /usr/bin/install -c -o pbulk -g users -m 755
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib
LEX = flex
LEXLIB = -lfl
LEX_OUTPUT_ROOT = lex.yy
LIBOBJS = 
LIBS = 
LIB_EXT = so
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = /tmp/pkgbuild/net/openwbem/work.earmv6hf/.tools/bin/makeinfo
MV = /bin/mv
OBJEXT = o
OPENWBEM_LIBRARY_VERSION = 4
OPENWBEM_MAJOR_VERSION = 3
OPENWBEM_MICRO_VERSION = 2
OPENWBEM_MINOR_VERSION = 2
OPENWBEM_VERSION = 3.2.2
OW_NETWARE_INSTALL_FALSE = 
OW_NETWARE_INSTALL_TRUE = #
OW_STATIC_LINKING_FALSE = 
OW_STATIC_LINKING_TRUE = #
PACKAGE = openwbem
PACKAGE_BUGREPORT = openwbem-public@lists.sourceforge.net
PACKAGE_NAME = OpenWBEM
PACKAGE_PREFIX = 
PACKAGE_PREFIX_D = 
PACKAGE_STRING = OpenWBEM 3.2.2
PACKAGE_TARNAME = openwbem
PACKAGE_VERSION = 3.2.2
PAM_LIB = -lpam
PATH_SEPARATOR = :
PERL = /tmp/pkgbuild/net/openwbem/work.earmv6hf/.tools/bin/perl
PIDFILE_DIR = /var/run
RANLIB = ranlib
RM = /bin/rm
SED = /usr/bin/sed
SET_MAKE = 
SHELL = /bin/sh
SLP_LIB = 
SSL_LIBS = -lssl -lcrypto
STATIC_LINK_FLAGS = 
STATIC_SERVICES = 
STRIP = 
TRUE_PATHNAME = true
USE_AIX_AUTHENTICATE_FALSE = 
USE_AIX_AUTHENTICATE_TRUE = #
USE_PAM_FALSE = #
USE_PAM_TRUE = 
VERSION = 3.2.2
YACC = yacc
Z_LIBS = -lz
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = armv6--netbsdelf-eabihf
build_alias = armv6--netbsdelf-eabihf
build_cpu = armv6
build_os = netbsdelf-eabihf
build_vendor = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = armv6--netbsdelf-eabihf
host_alias = armv6--netbsdelf-eabihf
host_cpu = armv6
host_os = netbsdelf-eabihf
host_vendor = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /tmp/pkgbuild/net/openwbem/work.earmv6hf/openwbem-3.2.2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = /usr/pkg/man
mkdir_p = $(install_sh) -d
oldincludedir = /usr/include
perl_archlibexp = 
perl_embed_ccflags = 
perl_embed_ldflags = 
perl_privlibexp = 
perl_useshrplib = 
prefix = /usr/pkg
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
MAKEBUNDLE = 1
SO_EXT = $(LIBRARY_BINARY_VERSION)
SOFILENAME = $@.$(SO_EXT)
DYFILENAME = $(sort $(patsubst %.dylib,%,$(patsubst %.dylib.bundle,%.dylib,$@))).$(SO_EXT).dylib
TMPLIBDIR = .$@.libs

# Here's what this does:  It finds all symbols in each object file that are one
# of T,D,B (Global text symbol, Global data symbol, Global BSS symbol), where
# the first character is not a '.', and puts them in a list, which is then
# sorted (unique), and dumped in LIBNAME.exp 
# 
# The nm options are: Berleky style (3 column), no demangling, unsorted, global
# symbols only. 
CREATE_EXPORTS = nm -BCpg $(TMPLIBDIR)/*.o | \
			$(AWK) '{ if((($$2 == "T") || \
				   ($$2 == "D") || \
				   ($$2 == "B")) && \
				  (substr($$3,1,1) != ".")) \
				{ print $$3 } }' | \
			sort -u > $(@:%.so=%.exp)


# Rules for NetWare

#	Look only for symbols in the text "T" section because that is all the 
#	fake library stuff needs to be concerned with.
CREATE_IMPORTS = nm -Bpg $(TMPLIBDIR)/*.o | \
			$(AWK) '{ if( ($$2 == "T") && \
				      (substr($$3,1,1) != ".") && \
				      (substr($$3,1,1) != "_") ) \
				{ print $$3 } }' > $(@:%.nlm=%.imp)

check_LIBRARIES = libassociatortest.a 
SHAREDLIBADD = \
-L$(top_builddir)/src/common -lopenwbem \
-L$(top_builddir)/src/provider -lowprovider \
-L$(top_builddir)/src/providerifcs/cpp -lowcppprovifc

OW_SHARED_LIBS = libassociatortest.$(LIB_EXT)

# increment this number every time a release breaks binary compatibility
LIBRARY_BINARY_VERSION = $(OPENWBEM_LIBRARY_VERSION)
libassociatortest_a_SOURCES = \
OW_AssociatorTest.cpp

EXTRA_DIST = OW_AssociatorTest.mof
INCLUDES = \
-I$(top_srcdir)/src/common \
-I$(top_srcdir)/src/ifcs \
-I$(top_srcdir)/src/cim \
-I$(top_srcdir)/src/providerifcs/cpp \
-I$(top_srcdir)/src/provider

all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am $(top_srcdir)/Makefile-shared-lib.inc $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  test/c++providers/associator/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  test/c++providers/associator/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-checkLIBRARIES:
	-test -z "$(check_LIBRARIES)" || rm -f $(check_LIBRARIES)
libassociatortest.a: $(libassociatortest_a_OBJECTS) $(libassociatortest_a_DEPENDENCIES) 
	-rm -f libassociatortest.a
	$(libassociatortest_a_AR) libassociatortest.a $(libassociatortest_a_OBJECTS) $(libassociatortest_a_LIBADD)
	$(RANLIB) libassociatortest.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/OW_AssociatorTest.Po

.cpp.o:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.cpp.obj:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	$(mkdir_p) $(distdir)/../../..
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
	$(MAKE) $(AM_MAKEFLAGS) $(check_LIBRARIES)
	$(MAKE) $(AM_MAKEFLAGS) check-local
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-checkLIBRARIES clean-generic clean-local \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: CTAGS GTAGS all all-am check check-am check-local clean \
	clean-checkLIBRARIES clean-generic clean-local ctags distclean \
	distclean-compile distclean-generic distclean-tags distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-compile \
	mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
	uninstall-am uninstall-info-am


%.so %.sl : %.a
	rm -rf $(TMPLIBDIR)
	mkdir $(TMPLIBDIR)
	cd $(TMPLIBDIR) && \
	$(AR) x ../$< 
	if [ "x$(AIX)" = "x1" ]; then $(CREATE_EXPORTS); fi
	$(CXXLINK) $(CXXSHAREDLIBLINKFLAGS) -o $(SOFILENAME) $(TMPLIBDIR)/*.o $(SHAREDLIBADD)
	rm -rf $@ $(TMPLIBDIR) $(@:%.so=%.exp)
	ln -s $(SOFILENAME) $@
	chmod +x $(SOFILENAME)

#	Removed the following line
#	$(CXXLINK) $(CXXSHAREDLIBLINKFLAGS) -o $@ $(TMPLIBDIR)/*.o $(SHAREDLIBADD)
#	and changed it to a 'touch' command because we no longer need dynamic
#	libraries.  The 'touch' command speeds up the compile significantly
%.nlm : %.a
	rm -rf $(TMPLIBDIR)
	mkdir $(TMPLIBDIR)
	cd $(TMPLIBDIR) && \
	$(AR) x ../$<
	$(CREATE_IMPORTS)
	touch $@
	cp $@ $(SOFILENAME)
	rm -rf $(TMPLIBDIR)

# Rules for Darwin so we can get the plugable modules built
# at the same time. Requires that either MAKEDYLIB or MAKEBUNDLE
# be inserted into Makefile.am in the appropriate directory.
# In the case of the four libraries that have to be both loadable
# and linkable, we FIXME EDGE

%.dylib.bundle %.dylib : %.a
	rm -f $(@:%.dylib.bundle=%.dylib) $@
	rm -rf $(TMPLIBDIR)
	mkdir $(TMPLIBDIR)
	cd $(TMPLIBDIR) && \
	$(AR) x ../$<
	if [ "x$(MAKEDYLIB)" = "x1" ]; then \
		echo $(CXXLINK) $(CXXSHAREDLIBLINKFLAGS) -o $(DYFILENAME) $(TMPLIBDIR)/*.o $(SHAREDLIBADD); \
		$(CXXLINK) $(CXXSHAREDLIBLINKFLAGS) -o $(DYFILENAME) $(TMPLIBDIR)/*.o $(SHAREDLIBADD); \
		echo ln -v -s $(DYFILENAME) $(@:%.dylib.bundle=%.dylib); \
		ln -v -s $(DYFILENAME) $(@:%.dylib.bundle=%.dylib); \
	fi;
	if [ "x$(MAKEBUNDLE)" = "x1" ]; then \
		echo $(CXXLINK) $(CXXBUNDLELIBLINKFLAGS) -o $(DYFILENAME).bundle $(TMPLIBDIR)/*.o $(SHAREDLIBADD); \
		$(CXXLINK) $(CXXBUNDLELIBLINKFLAGS) -o $(DYFILENAME).bundle $(TMPLIBDIR)/*.o $(SHAREDLIBADD); \
		echo ln -v -s $(DYFILENAME) $(@:%.dylib=%.dylib.bundle); \
		ln -v -s $(DYFILENAME) $(@:%.dylib=%.dylib.bundle); \
	fi;
	@echo "$@ done"

all-ow-shared-libs: $(OW_SHARED_LIBS)

clean-ow-shared-libs:
	for i in $(OW_SHARED_LIBS); do \
		rm -rf $$i* .$$i.libs; \
	done
check-local : all-ow-shared-libs
clean-local : clean-ow-shared-libs
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
